Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSContactSearchRequest Class Reference

Request object for extended contact search. More...

`#import <CSContactService.h>`

Inherits NSObject.

## Instance Methods
(instancetype) | - initWithNameSearchString:locationSearchString:departmentSearchString:maxNumberOfResults:maxChunkSize:
| Initialize extended contact search request. More...
(instancetype) | - initWithNameSearchString:locationSearchString:departmentSearchString:
| Initialize extended contact search request with default number of results. More...

## Properties
NSString * | nameSearchString
| The search string, name. More...
NSString * | locationSearchString
| The search string, location. More...
NSString * | departmentSearchString
| The search string, department. More...
unsigned int | maxNumberOfResults
| The maximum number of results to return. More...
unsigned int | maxChunkSize
| The number of results to return in each update from the server. More...

## Detailed Description

Request object for extended contact search.

## Method Documentation

- (instancetype) initWithNameSearchString: |  | (NSString *) | nameSearchString
locationSearchString: |  | (NSString *) | locationSearchString
departmentSearchString: |  | (NSString *) | departmentSearchString

Initialize extended contact search request with default number of results.

The maximum number of results to return is 50. The number of results to return in each update from the server is 10. At least one search string should be filled in. It is permissible to pass null or empty string into search strings. Validation on parameters will be performed.

Parameters

  nameSearchString | The search string, name. It could contain words split by space i.e. first name, last name, display name, up to 4 words will be searched.
  locationSearchString | The search string, location.
  departmentSearchString | The search string, department.

- (instancetype) initWithNameSearchString: |  | (NSString *) | nameSearchString
locationSearchString: |  | (NSString *) | locationSearchString
departmentSearchString: |  | (NSString *) | departmentSearchString
maxNumberOfResults: |  | (NSUInteger) | maxNumberOfResults
maxChunkSize: |  | (NSUInteger) | maxChunkSize

Initialize extended contact search request.

At least one search string should be filled in. It is permissible to pass null or empty string into search strings. Validation on parameters will be performed.

Parameters

  nameSearchString | The search string, name. It could contain words split by space i.e. first name, last name, display name, up to 4 words will be searched.
  locationSearchString | The search string, location.
  departmentSearchString | The search string, department.
  maxNumberOfResults | The maximum number of results to return.
  maxChunkSize | The number of results to return in each update from the server.

## Property Documentation

- (NSString*) departmentSearchString
| read nonatomic assign

The search string, department.

- (NSString*) locationSearchString
| read nonatomic assign

The search string, location.

- (unsigned int) maxChunkSize
| read nonatomic assign

The number of results to return in each update from the server.

- (unsigned int) maxNumberOfResults
| read nonatomic assign

The maximum number of results to return.

- (NSString*) nameSearchString
| read nonatomic assign

The search string, name.

The documentation for this class was generated from the following file:

- CSContactService.h